F4Menu_Reskin = {}
F4Menu_Reskin.CommandsTabTitle = "Befehle"
F4Menu_Reskin.JobsTabTitle = "Jobs"
F4Menu_Reskin.EntitiesTabTitle = "Gegenstände"
F4Menu_Reskin.WeaponsTabTitle = "Waffen"
F4Menu_Reskin.AmmoTabTitle = "Munition"
F4Menu_Reskin.FoodTabEnabled = true
F4Menu_Reskin.FoodTabTitle = "Essen"
F4Menu_Reskin.FirstCommandsTitle = "Währung"
F4Menu_Reskin.SecondCommandsTitle = "Roleplay"
F4Menu_Reskin.ThirdCommandsTitle = "Weiteres"
F4Menu_Reskin.CPCommandsTitle = "Zivilschutz"
F4Menu_Reskin.MayorCommandsTitle = "Bürgermeister"
F4Menu_Reskin.ShowNonAvailableEntitiesToAll = true
F4Menu_Reskin.ShowNonAvailableJobsToAll = false
F4Menu_Reskin.ContextMenuExtension = true

timer.Simple(0, function()
	F4Menu_Reskin.AccessToCPCmds = {
		[TEAM_OWNER] = true,
		[TEAM_STAFF] = true,
		[TEAM_SECRETSERVICE] = true,
		[TEAM_SEKLEADER] = true,
		[TEAM_SEKSNIPER] = true,
		[TEAM_SEK] = true,
		[TEAM_CHIEF] = true,
		[TEAM_POLICE] = true,
		[TEAM_JAILGUARD] = true,
		[TEAM_ZOLL] = true
	}

	F4Menu_Reskin.AccessToMayorCmds = {
		[TEAM_MAYOR] = true
	}

	F4Menu_Reskin.JobExceptions = {
		["Geheimdienst"] = true,
		["SEK-Leiter"] = true,
		["SEK-Scharfschütze"] = true,
		["SEK-Einheit"] = true,
		["Wachtmeister"] = true,
		["Polizist"] = true,
		["Gefängniswärter"] = true,
		["Zoll"] = true,
		["Schwarzmarkthändler"] = true,
		["Waffenhändler"] = true,
		["Taxifahrer"] = true,
		["Terrorist"] = true,
		["Priester"] = true
	}
end)

F4Menu_Reskin.WEB_BUTTONS = {}
F4Menu_Reskin.MONEY_BUTTONS = {}
F4Menu_Reskin.RP_BUTTONS = {}
F4Menu_Reskin.CP_BUTTONS = {}
F4Menu_Reskin.MAYOR_BUTTONS = {}
F4Menu_Reskin.OTHER_BUTTONS = {}

local function F4Menu_AddSidebarButton(n, f)
	table.insert(F4Menu_Reskin.WEB_BUTTONS, {Title = n, Function = f})
end
 
local function F4Menu_AddMoneyButton(n, f, c)
	table.insert(F4Menu_Reskin.MONEY_BUTTONS, {Name = n, Function = f, Command = c})
end

local function F4Menu_AddRPButton(n, f, c)
	table.insert(F4Menu_Reskin.RP_BUTTONS, {Name = n, Function = f, Command = c})
end

local function F4Menu_AddCPButton(n, f, c)
	table.insert(F4Menu_Reskin.CP_BUTTONS, {Name = n, Function = f, Command = c})
end

local function F4Menu_AddMayorButton(n, f, c)
	table.insert(F4Menu_Reskin.MAYOR_BUTTONS, {Name = n, Function = f, Command = c})
end

local function F4Menu_AddOtherButton(n, f, c)
	table.insert(F4Menu_Reskin.OTHER_BUTTONS, {Name = n, Function = f, Command = c})
end

F4Menu_AddSidebarButton("Forum", function() gui.OpenURL("https://modern-gaming.net/forum") end)
F4Menu_AddSidebarButton("Shop", function() gui.OpenURL("https://shop-gmod.modern-gaming.net/category/modern-roleplay") end)

F4Menu_AddMoneyButton("Geld geben", function(t) F4Menu_OpenTextBox("Geld geben", "Wie viel Geld möchtest du der Person in Front von dir geben?", "give", t) end, "/give")
F4Menu_AddMoneyButton("Geld fallen lassen", function(t) F4Menu_OpenTextBox("Geld fallen lassen", "Wie viel Geld möchtest du fallen lassen?", "dropmoney", t) end, "/dropmoney")
F4Menu_AddMoneyButton("Check ausstellen", function(t) F4Menu_OpenPlayerReasonBox("Check ausstellen", "Für wen ist der Check gedacht?", "Wie viel Geld soll im Check beinhaltet sein?", "check", t) end, "/check")

F4Menu_AddRPButton("Service kontaktieren", function(t) RunConsoleCommand("say", "/services") end, "/services")
F4Menu_AddRPButton("Name ändern", function(t) F4Menu_OpenTextBox("Name ändern", "Wie soll dein neuer Name heißen?", "rpname", t) end, "/rpname")
F4Menu_AddRPButton("Werbung machen", function(t) F4Menu_OpenTextBox("Werbung machen", "Verfasse hier deine Werbung.", "advert", t) end, "/advert")
F4Menu_AddRPButton("Job mit Person in Front von dir wechseln", function() RunConsoleCommand("say", "/switchjob") end, "/switchjob")
F4Menu_AddRPButton("Schlafen gehen / Aufwachen", function(t) RunConsoleCommand("say", "/sleep") end, "/sleep")
F4Menu_AddRPButton("Derzeit gehaltene Waffe fallen lassen", function(t) RunConsoleCommand("say", "/drop") end, "/drop")
F4Menu_AddRPButton("Derzeit gehaltene Waffe ins Inventar legen", function(t) RunConsoleCommand("say", "/invholster") end, "/invholster")
F4Menu_AddRPButton("Agenda ändern", function(t) F4Menu_OpenTextBox("Agenda ändern", "Wie soll der neue Agendaeintrag lauten?", "agenda", t) end, "/agenda")
F4Menu_AddRPButton("Waffenlizenz anfordern", function(t) RunConsoleCommand("say", "/requestlicense") end, "/requestlicense")
F4Menu_AddRPButton("Person degradieren", function(t) F4Menu_OpenPlayerReasonBox("Person von seinem derzeitigem Job degradieren", "Welche Person möchtest du degradieren?", "Warum möchtest du diese Person degradieren?", "demote", t) end, "/demote")
F4Menu_AddRPButton("Alle Besitztümer verkaufen", function(t) RunConsoleCommand("say", "/unownalldoors") end, "/unownalldoors")
F4Menu_AddRPButton("AFK-Modus umstellen", function(t) RunConsoleCommand("say", "/afk") end, "/afk")

F4Menu_AddCPButton("Nach Person fahnden", function() F4Menu_OpenPlayerReasonBox("Person fahnden", "Nach welcher Person möchtest du fahnden?", "Warum möchtest du diese Person fahnden?", "wanted") end, "/wanted")
F4Menu_AddCPButton("Fahndung einer Person einstellen", function() F4Menu_OpenPlayerBox("Fahndung einstellen", "Von welcher Person möchtest du die Fahndung einstellen?", "unwanted") end, "/unwanted")
F4Menu_AddCPButton("Durchsuchungsbefehl anfordern", function() F4Menu_OpenPlayerReasonBox("Einen Durchsuchungsbefehl für eine Person anfordern", "Für welche Person würdest du gerne einen Durchsuchungsbefehl anfordern?", "Warum möchtest du einen Durchsuchungsbefehl für diese Person anfordern?", "warrant") end, "/warrant")
F4Menu_AddCPButton("Durchsuchung einstellen", function() F4Menu_OpenPlayerBox("Durchsuchung einstellen", "Von welcher Person möchtest du die Durchsuchung einstellen?", "unwarrant") end, "/unwarrant")
F4Menu_AddCPButton("Waffenlizenz ausstellen", function() RunConsoleCommand("say", "/givelicense") end, "/givelicense")
F4Menu_AddCPButton("Staatsbeamte kündigen", function() RunConsoleCommand("say", "/manage") end, "/manage")

F4Menu_AddMayorButton("Ankündigung machen", function() F4Menu_OpenTextBox("Ankündigung machen", "Verfasse hier deine Ankündigung.", "broadcast") end, "/broadcast")
F4Menu_AddMayorButton("Lockdown initiieren", function() F4Menu_OpenTextBox("Lockdown initiieren", "Bitte gebe den Grund für den Lockdown an.", "lockdown") end, "/lockdown")
F4Menu_AddMayorButton("Lockdown beenden", function() RunConsoleCommand("say", "/unlockdown") end, "/unlockdown")
F4Menu_AddMayorButton("Nach Person fahnden", function() F4Menu_OpenPlayerReasonBox("Person fahnden", "Nach welcher Person möchtest du fahnden?", "Warum möchtest du diese Person fahnden?", "wanted") end, "/wanted")
F4Menu_AddMayorButton("Fahndung einer Person einstellen", function() F4Menu_OpenPlayerBox("Fahndung einstellen", "Von welcher Person möchtest du die Fahndung einstellen?", "unwanted") end, "/unwanted")
F4Menu_AddMayorButton("Durchsuchungsbefehl erteilen", function() F4Menu_OpenPlayerReasonBox("Einen Durchsuchungsbefehl für eine Person erteilen", "Für welche Person würdest du gerne einen Durchsuchungsbefehl erteilen?", "Warum möchtest du einen Durchsuchungsbefehl für diese Person anfertigen?", "warrant") end, "/warrant")
F4Menu_AddMayorButton("Durchsuchung einstellen", function() F4Menu_OpenPlayerBox("Durchsuchung einstellen", "Von welcher Person möchtest du die Durchsuchung einstellen?", "unwarrant") end, "/unwarrant")
F4Menu_AddMayorButton("Waffenlizenz ausstellen", function() RunConsoleCommand("say", "/givelicense") end, "/givelicense")
F4Menu_AddMayorButton("Gesetzestafel aufstellen", function() RunConsoleCommand("say", "/placelaws") end, "/placelaws")
F4Menu_AddMayorButton("Ein Gesetz hinzufügen", function() F4Menu_OpenTextBox("Gesetz hinzufügen", "Wie soll dein neues Gesetz lauten?", "addlaw") end, "/addlaw")
F4Menu_AddMayorButton("Ein Gesetz entfernen", function() F4Menu_OpenTextBox("Gesetz entfernen", "Welches Gesetz möchtest du entfernen? (Nummer von 1-X)", "removelaw")  end, "/removelaw")
F4Menu_AddMayorButton("Lotterie machen", function() F4Menu_OpenTextBox("Lotterie machen", "Wie viel Geld soll der Beitritt in die Lotterie kosten?", "lottery") end, "/lottery")
F4Menu_AddMayorButton("Staatsbeamte kündigen", function() RunConsoleCommand("say", "/manage") end, "/manage")

F4Menu_AddOtherButton("Regeln / Informationen", function() RunConsoleCommand("say", "!info") end, "!info")

F4Menu_Reskin.Colors = {
	[1] = Color(224, 224, 224, 255),
	[2] = Color(250, 250, 250, 255),
	[3] = Color(22, 131, 173),
	[4] = Color(31, 191, 255),
	[5] = Color(36, 190, 255),
	[6] = Color(26, 160, 212),
	[7] = Color(130, 130, 130),
	[8] = Color(150, 150, 150),
	[9] = Color(90, 90, 90),
	[10] = Color(180, 180, 180),
	[11] = Color(0, 0, 0, 70),
	[12] = Color(232, 234, 236, 255),
	[13] = Color(51, 54, 58, 255),
	[14] = Color(62, 67, 77),
	[15] = Color(255, 100, 100, 200),
	[16] = Color(84, 89, 100, 255),
	[17] = Color(31, 191, 255, 255),
}